Index: src/sas/guiframe/local_perspectives/plotting/Edge.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/Edge.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/local_perspectives/plotting/Edge.py	(revision b5de88e13816ca80c8329096bc22edbab9a36123)
@@ -1,12 +1,5 @@
+import math
+from BaseInteractor import _BaseInteractor
 
-import math
-#import wx  
-#from copy import deepcopy
-from BaseInteractor import _BaseInteractor
-#from sas.guiframe.events import NewPlotEvent
-#from sas.guiframe.events import StatusEvent
-#from sas.guiframe.events import SlicerParameterEvent
-#from sas.guiframe.events import EVT_SLICER_PARS
-   
 
 class RadiusInteractor(_BaseInteractor):
@@ -15,5 +8,5 @@
     """
     def __init__(self, base, axes, color='black', zorder=5, arc1=None,
-                 arc2=None, theta=math.pi/8):
+                 arc2=None, theta=math.pi / 8):
         """
         """
@@ -23,8 +16,6 @@
         self.r1 = arc1.get_radius()
         self.r2 = arc2.get_radius()
-        #print "radius init", self.r1, self.r2
         self.theta = theta
         self.save_theta = theta
-        #self.scale = 10.0
         self.move_stop = False
         self.theta_left = None
@@ -32,5 +23,4 @@
         self.arc1 = arc1
         self.arc2 = arc2
-        #raise "Version error", message
         x1 = self.r1 * math.cos(self.theta)
         y1 = self.r1 * math.sin(self.theta)
@@ -38,7 +28,7 @@
         y2 = self.r2 * math.sin(self.theta)
         self.line = self.axes.plot([x1, x2], [y1, y2],
-                                      linestyle='-', marker='',
-                                      color=self.color,
-                                      visible=True)[0]
+                                   linestyle='-', marker='',
+                                   color=self.color,
+                                   visible=True)[0]
         self.phi = theta
         self.npts = 20
@@ -46,5 +36,5 @@
         self.connect_markers([self.line])
         self.update()
-        
+
     def set_layer(self, n):
         """
@@ -52,5 +42,5 @@
         self.layernum = n
         self.update()
-        
+
     def clear(self):
         """
@@ -63,10 +53,10 @@
             for item in range(len(self.axes.lines)):
                 del self.axes.lines[0]
-    
+
     def get_angle(self):
         """
         """
         return self.theta
-        
+
     def update(self, r1=None, r2=None, theta=None):
         """
@@ -79,11 +69,10 @@
         if theta != None:
             self.theta = theta
-        #print "in the edge r1, r2",self.r1,self.r2,math.degrees(self.theta)
         x1 = self.r1 * math.cos(self.theta)
         y1 = self.r1 * math.sin(self.theta)
         x2 = self.r2 * math.cos(self.theta)
-        y2 = self.r2 * math.sin(self.theta)  
+        y2 = self.r2 * math.sin(self.theta)
         self.line.set(xdata=[x1, x2], ydata=[y1, y2])
-        
+
     def save(self, ev):
         """
@@ -91,8 +80,7 @@
         can restore on Esc.
         """
-        self.save_theta = math.atan2(ev.y,ev.x)
-        #self.save_theta= self.theta
+        self.save_theta = math.atan2(ev.y, ev.x)
         self.base.freeze_axes()
-   
+
     def moveend(self, ev):
         """
@@ -100,5 +88,5 @@
         self.has_move = False
         self.base.moveend(ev)
-            
+
     def restore(self, ev):
         """
@@ -114,5 +102,5 @@
         self.has_move = True
         self.base.base.update()
-        
+
     def set_cursor(self, r_min, r_max, theta):
         """
@@ -122,5 +110,5 @@
         self.r2 = r_max
         self.update()
-        
+
     def get_params(self):
         """
@@ -131,13 +119,10 @@
         params["theta"] = self.theta
         return params
-    
+
     def set_params(self, params):
         """
         """
-        #print "when here set curcor arc"
-        x1 = params["radius1"] 
-        x2 = params["radius2"] 
-        theta= params["theta"]
+        x1 = params["radius1"]
+        x2 = params["radius2"]
+        theta = params["theta"]
         self.set_cursor(x1, x2, theta)
-        
-    
Index: src/sas/guiframe/local_perspectives/plotting/boxMask.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/boxMask.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/local_perspectives/plotting/boxMask.py	(revision b5de88e13816ca80c8329096bc22edbab9a36123)
@@ -1,13 +1,7 @@
-
-
-
 import math
-#import wx
-#from copy import deepcopy
 from BaseInteractor import _BaseInteractor
 from boxSum import PointInteractor
 from boxSum import VerticalDoubleLine
 from boxSum import HorizontalDoubleLine
-#from sas.guiframe.events import SlicerParamUpdateEvent
 
 
@@ -15,8 +9,8 @@
     """
     BoxMask Class: determine 2 rectangular area to find the pixel of
-    a Data inside of box. 
-    
+    a Data inside of box.
+
     Uses PointerInteractor , VerticalDoubleLine,HorizontalDoubleLine.
-    
+
     :param zorder:  Artists with lower zorder values are drawn first.
     :param x_min: the minimum value of the x coordinate
@@ -26,73 +20,73 @@
 
     """
-    def __init__(self, base, axes, color='black', zorder=3, side=None, 
-                   x_min=0.008, x_max=0.008, y_min=0.0025, y_max=0.0025):
+    def __init__(self, base, axes, color='black', zorder=3, side=None,
+                 x_min=0.008, x_max=0.008, y_min=0.0025, y_max=0.0025):
         """
         """
         _BaseInteractor.__init__(self, base, axes, color=color)
-        ## class initialization
-        ## list of Boxmask markers
+        # # class initialization
+        # # list of Boxmask markers
         self.markers = []
         self.axes = axes
         self.mask = None
         self.is_inside = side
-        ## connect the artist for the motion
+        # # connect the artist for the motion
         self.connect = self.base.connect
-        ## when qmax is reached the selected line is reset 
-        #the its previous value
+        # # when qmax is reached the selected line is reset
+        # the its previous value
         self.qmax = min(self.base.data.xmax, self.base.data.xmin)
-        ## Define the box limits
+        # # Define the box limits
         self.xmin = -1 * 0.5 * min(math.fabs(self.base.data.xmax),
-                                 math.fabs(self.base.data.xmin))
+                                   math.fabs(self.base.data.xmin))
         self.ymin = -1 * 0.5 * min(math.fabs(self.base.data.xmax),
                                    math.fabs(self.base.data.xmin))
         self.xmax = 0.5 * min(math.fabs(self.base.data.xmax),
                               math.fabs(self.base.data.xmin))
-        self.ymax =  0.5 * min(math.fabs(self.base.data.xmax),
-                               math.fabs(self.base.data.xmin))
-        ## center of the box
+        self.ymax = 0.5 * min(math.fabs(self.base.data.xmax),
+                              math.fabs(self.base.data.xmin))
+        # # center of the box
         self.center_x = 0.0002
         self.center_y = 0.0003
-        ## Number of points on the plot
+        # # Number of points on the plot
         self.nbins = 20
-        ## Define initial result the summation 
+        # # Define initial result the summation
         self.count = 0
         self.error = 0
         self.data = self.base.data
-        ## Flag to determine if the current figure has moved
-        ## set to False == no motion , set to True== motion
+        # # Flag to determine if the current figure has moved
+        # # set to False == no motion , set to True== motion
         self.has_move = False
-        ## Create Box edges 
+        # # Create Box edges
         self.horizontal_lines = HorizontalDoubleLine(self,
                                                      self.base.subplot,
                                                      color='blue',
-                                                      zorder=zorder,
-                                                      y=self.ymax,
-                                                      x=self.xmax,
-                                                      center_x=self.center_x,
-                                                      center_y=self.center_y)
+                                                     zorder=zorder,
+                                                     y=self.ymax,
+                                                     x=self.xmax,
+                                                     center_x=self.center_x,
+                                                     center_y=self.center_y)
         self.horizontal_lines.qmax = self.qmax
-        
+
         self.vertical_lines = VerticalDoubleLine(self,
-                                                self.base.subplot,
-                                                color='grey',
-                                                zorder=zorder,
-                                                y=self.ymax,
-                                                x=self.xmax,
-                                                center_x=self.center_x,
-                                                center_y=self.center_y)
+                                                 self.base.subplot,
+                                                 color='grey',
+                                                 zorder=zorder,
+                                                 y=self.ymax,
+                                                 x=self.xmax,
+                                                 center_x=self.center_x,
+                                                 center_y=self.center_y)
         self.vertical_lines.qmax = self.qmax
-        
+
         self.center = PointInteractor(self,
-                                      self.base.subplot,color='grey',
-                                    zorder=zorder,
-                                    center_x=self.center_x,
-                                    center_y=self.center_y)
-        ## Save the name of the slicer panel associate with this slicer 
-        self.panel_name = ""    
-        ## Update and post slicer parameters  
+                                      self.base.subplot, color='grey',
+                                      zorder=zorder,
+                                      center_x=self.center_x,
+                                      center_y=self.center_y)
+        # # Save the name of the slicer panel associate with this slicer
+        self.panel_name = ""
+        # # Update and post slicer parameters
         self.update()
         self._post_data()
-    
+
     def clear(self):
         """
@@ -104,6 +98,5 @@
         self.center.clear()
         self.base.connect.clearall()
-        #self.base.Unbind(EVT_SLICER_PARS)
-    
+
     def update(self):
         """
@@ -111,11 +104,11 @@
         resetting the widgets.
         """
-        # check if the center point has moved and update the figure accordingly 
+        # check if the center point has moved and update the figure accordingly
         if self.center.has_move:
             self.center.update()
             self.horizontal_lines.update(center=self.center)
             self.vertical_lines.update(center=self.center)
-        ## check if the horizontal lines have moved and update
-        # the figure accordingly    
+        # # check if the horizontal lines have moved and update
+        # the figure accordingly
         if self.horizontal_lines.has_move:
             self.horizontal_lines.update()
@@ -123,6 +116,6 @@
                                        y2=self.horizontal_lines.y2,
                                        height=self.horizontal_lines.half_height)
-        ## check if the vertical lines have moved and update
-        # the figure accordingly    
+        # # check if the vertical lines have moved and update
+        # the figure accordingly
         if self.vertical_lines.has_move:
             self.vertical_lines.update()
@@ -130,8 +123,8 @@
                                          x2=self.vertical_lines.x2,
                                          width=self.vertical_lines.half_width)
-        #if self.is_inside != None:
+        # if self.is_inside != None:
         out = self._post_data()
         return out
-        
+
     def save(self, ev):
         """
@@ -143,5 +136,5 @@
         self.vertical_lines.save(ev)
         self.center.save(ev)
-        
+
     def _post_data(self):
         """
@@ -150,10 +143,10 @@
         """
         from sas.dataloader.manipulations import Boxcut
-        ## Data 2D for which the pixel will be summed
+        # # Data 2D for which the pixel will be summed
         data = self.base.data
         mask = data.mask
-        ## the region of the summation
-        x_min = self.horizontal_lines.x2 
-        x_max = self.horizontal_lines.x1 
+        # # the region of the summation
+        x_min = self.horizontal_lines.x2
+        x_max = self.horizontal_lines.x1
         y_min = self.vertical_lines.y2
         y_max = self.vertical_lines.y1
@@ -164,17 +157,17 @@
         else:
             out = (mask(data))
-        #self.base.data.mask=out
+        # self.base.data.mask=out
         self.mask = mask
-        return out  
-              
+        return out
+
     def moveend(self, ev):
         """
         After a dragging motion this function is called to compute
-        the error and the sum of pixel of a given data 2D 
+        the error and the sum of pixel of a given data 2D
         """
         self.base.thaw_axes()
-        ## post
+        # # post
         self._post_data()
-            
+
     def restore(self):
         """
@@ -184,5 +177,5 @@
         self.vertical_lines.restore()
         self.center.restore()
-        
+
     def move(self, x, y, ev):
         """
@@ -190,22 +183,22 @@
         """
         pass
-    
+
     def set_cursor(self, x, y):
         pass
-        
+
     def get_params(self):
         """
         Store a copy of values of parameters of the slicer into a dictionary.
-        
+
         :return params: the dictionary created
-        
+
         """
         params = {}
         params["Width"] = math.fabs(self.vertical_lines.half_width) * 2
-        params["Height"] = math.fabs(self.horizontal_lines.half_height) * 2 
+        params["Height"] = math.fabs(self.horizontal_lines.half_height) * 2
         params["center_x"] = self.center.x
         params["center_y"] = self.center.y
         return params
-    
+
     def get_mask(self):
         """
@@ -214,32 +207,28 @@
         mask = self.mask
         return mask
-    
+
     def set_params(self, params):
         """
-        Receive a dictionary and reset the slicer with values contained 
+        Receive a dictionary and reset the slicer with values contained
         in the values of the dictionary.
-        
-        :param params: a dictionary containing name of slicer parameters and 
+
+        :param params: a dictionary containing name of slicer parameters and
            values the user assigned to the slicer.
         """
-        x_max = math.fabs(params["Width"] )/2
-        y_max = math.fabs(params["Height"])/2
-        
-        self.center_x = params["center_x"] 
+        x_max = math.fabs(params["Width"]) / 2
+        y_max = math.fabs(params["Height"]) / 2
+
+        self.center_x = params["center_x"]
         self.center_y = params["center_y"]
-        #update the slicer given values of params
+        # update the slicer given values of params
         self.center.update(center_x=self.center_x, center_y=self.center_y)
-        self.horizontal_lines.update(center=self.center,
-                                     width=x_max,
-                                     height=y_max)
-        self.vertical_lines.update(center=self.center,
-                                    width=x_max,
-                                    height=y_max)
-        #compute the new error and sum given values of params
+        self.horizontal_lines.update(center=self.center, width=x_max, height=y_max)
+        self.vertical_lines.update(center=self.center, width=x_max, height=y_max)
+        # compute the new error and sum given values of params
         self._post_data()
-               
+
     def freeze_axes(self):
         self.base.freeze_axes()
-        
+
     def thaw_axes(self):
         self.base.thaw_axes()
@@ -248,7 +237,5 @@
         self.base.update()
 
-class inner_BoxMask(BoxMask):   
-    def __call__(self):     
-        self.base.data.mask = (self._post_data()==False)
-      
-   
+class inner_BoxMask(BoxMask):
+    def __call__(self):
+        self.base.data.mask = (self._post_data() == False)
